Bug 230697 - databases/mongodb32 fails to build with OpenSSL 1.1.1
Summary: databases/mongodb32 fails to build with OpenSSL 1.1.1
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rene Ladan
URL:
Keywords:
Depends on:
Blocks: 228865
  Show dependency treegraph
 
Reported: 2018-08-17 13:13 UTC by Bernard Spil
Modified: 2018-12-31 13:27 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2018-08-17 13:13:12 UTC
"incomplete type 'EVP_MD_CTX'"
"no member named 'SSLv2_method'"

Looking at the source repo, it is likely that this is fixed in the latest version 3.2.20.

During BSDCan 2018 the intention to update OpenSSL in base to 1.1.x branch was documented.

Intention is to update OpenSSL in 12-STABLE to 1.1.1 when that is released. 

Poudriere log: https://keg.brnrd.eu/data/111amd64-default-openssl110/2018-08-17_12h10m13s/logs/errors/mongodb32-3.2.11_2.log
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2018-08-17 19:46:40 UTC
To clarify: does this fail with the default options, or only with OpenSSL selected?
Comment 2 Bernard Spil freebsd_committer 2018-08-18 18:07:01 UTC
With default options.

> ===> The following configuration options are available for mongodb32-3.2.11_2:
>     SASL=on: SASL authentication support
>     SSL=on: SSL protocol support
> ===> Use 'make config' to modify these settings
Comment 3 Rene Ladan freebsd_committer 2018-12-31 13:27:34 UTC
Expired port removed.